<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RentacarBooking StructType
 * @subpackage Structs
 */
class RentacarBooking extends AbstractStructBase
{
    /**
     * The RentacarBookingRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_RentacarBooking
     */
    public $RentacarBookingRQ;
    /**
     * Constructor method for RentacarBooking
     * @uses RentacarBooking::setRentacarBookingRQ()
     * @param \StructType\JP_RentacarBooking $rentacarBookingRQ
     */
    public function __construct(\StructType\JP_RentacarBooking $rentacarBookingRQ = null)
    {
        $this
            ->setRentacarBookingRQ($rentacarBookingRQ);
    }
    /**
     * Get RentacarBookingRQ value
     * @return \StructType\JP_RentacarBooking|null
     */
    public function getRentacarBookingRQ()
    {
        return $this->RentacarBookingRQ;
    }
    /**
     * Set RentacarBookingRQ value
     * @param \StructType\JP_RentacarBooking $rentacarBookingRQ
     * @return \StructType\RentacarBooking
     */
    public function setRentacarBookingRQ(\StructType\JP_RentacarBooking $rentacarBookingRQ = null)
    {
        $this->RentacarBookingRQ = $rentacarBookingRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\RentacarBooking
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
